Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ResultSetOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ResultSet`, `ClientWireProtocol.ResultSet.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ResultSetOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getBlobLengths​(int index)` | `repeated int32 blobLengths = 2;`
`int` | `getBlobLengthsCount()` | `repeated int32 blobLengths = 2;`
`List<Integer>` | `getBlobLengthsList()` | `repeated int32 blobLengths = 2;`
`com.google.protobuf.ByteString` | `getBlobs​(int index)` | `repeated bytes blobs = 3;`
`int` | `getBlobsCount()` | `repeated bytes blobs = 3;`
`List<com.google.protobuf.ByteString>` | `getBlobsList()` | `repeated bytes blobs = 3;`
`int` | `getNumParts()` | `int32 numParts = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getNumParts

int getNumParts()
`int32 numParts = 1;`

### getBlobLengthsList

List<Integer> getBlobLengthsList()
`repeated int32 blobLengths = 2;`

### getBlobLengthsCount

int getBlobLengthsCount()
`repeated int32 blobLengths = 2;`

### getBlobLengths

int getBlobLengths​(int index)
`repeated int32 blobLengths = 2;`

### getBlobsList

List<com.google.protobuf.ByteString> getBlobsList()
`repeated bytes blobs = 3;`

### getBlobsCount

int getBlobsCount()
`repeated bytes blobs = 3;`

### getBlobs

com.google.protobuf.ByteString getBlobs​(int index)
`repeated bytes blobs = 3;`